sha256 stringlengths 64 64 | language stringclasses 27
values | size int32 1 491k | lines int32 1 21.8k | content stringlengths 1 200k |
|---|---|---|---|---|
b38eaa229443e3dbb40b7c5028de54ba8749aff12f8c4c78f5eecd5552881de5 | Shell | 1,692 | 43 | #!/bin/bash
# submit this with ./c00_wrapper_vol_to_surf.sh
datasets=("PNC" "HCPD" "HBN")
for dataset in "${datasets[@]}"; do
config_file="/cbica/projects/luo_wm_dev/two_axes/code/config/config_${dataset}.json"
# Set where to save out error/output logs
logs_dir="/cbica/projects/luo_wm_dev/two_axes/... |
62a38f53829c06853231f8eb401ceefb17fc79ef814b972dc49a1799ca503f39 | Shell | 1,704 | 54 | #!/bin/bash
# location of the cuda toolkit folder(s)
# if this is not the folder in your system, change it.
CUDA_ROOT="/usr/local"
# == Get the highest version ============================================
# Find all directories in /usr/local/ that start with "cuda-"
cuda_dirs=$(ls -d "$CUDA_ROOT"/cuda-*)
versions=()... |
13b4057508ef2da66975c9538b283000dcae93de3d6672cd18a4a0b7797ed4e3 | Shell | 1,705 | 54 | #!/bin/sh
# Copyright (C) CVAT.ai Corporation
#
# SPDX-License-Identifier: MIT
set -e
GENERATOR_VERSION="v6.0.1"
VERSION="2.77.1"
LIB_NAME="cvat_sdk"
LAYER1_LIB_NAME="${LIB_NAME}/api_client"
DST_DIR="$(cd "$(dirname -- "$0")/.." && pwd)"
DOCS_DIR="$DST_DIR/docs"
GEN_DIR="${DST_DIR}/gen"
POST_PROCESS_SCRIPT="${GEN_D... |
86be361f5e9b338ee24f6eeb812ecca44a3e19e3990185105e0af40767309f8f | Shell | 1,705 | 52 | #!/bin/bash
# Ultralytics 🚀 AGPL-3.0 License - https://ultralytics.com/license
# Download ILSVRC2012 ImageNet dataset https://image-net.org
# Example usage: bash data/scripts/get_imagenet.sh
# parent
# ├── ultralytics
# └── datasets
# └── imagenet ← downloads here
# Arguments (optional) Usage: bash data/scripts... |
cf1f3b18dc8be98bc04f16890a041722ff55c1e70e5b5bd0fa0ee4d4f536f6e3 | Shell | 1,711 | 45 | # train an ensemble of DeepSTARR models on downsampled training data
# loops through an array of different downsampling proportions
ENSEMBLE_SIZE=10
DOWNSAMPLE_ARR=( 0.1 0.25 0.5 0.75 )
# DOWNSAMPLE_ARR=( 0.5 )
DATA=../data/DeepSTARR/Sequences_activity_all.h5
CONFIG=../config/DeepSTARR.yaml
PROJECT_NAME=DeepSTARR_ense... |
2eee111996e30475e418a9a77fe7af09425fe41491d7cb9f3748de0eec16e0f1 | Shell | 1,713 | 63 | #!/bin/bash
# Define base and target directories
BASE_DIR="/home/ben/BrainGut/fs6_all"
TARGET_DIR="/home/arvid/fs6_all"
# Create target directory if it doesn't exist
mkdir -p "$TARGET_DIR"
# Initialize counters
total_files=0
copied_files=0
# Print start message
echo "Starting to copy aseg.stats files..."
echo "From... |
bbce130af08d7f4196e880edf4ede25ce8d1d582cbd6ec9f21533336a970b8aa | Shell | 1,719 | 69 | #!/bin/bash
# Export the current date and time for job labeling
export DATE=$(date +%Y%m%d_%H%M%S)
export LABEL="$1"
export JOB_NAME=eiann_gpu_mnist_"$LABEL"_"$DATE"
# Environment variables to optimize performance
export OMP_NUM_THREADS=4
export MKL_NUM_THREADS=1
export NUMEXPR_NUM_THREADS=1
export OPENBLAS_NUM_THREA... |
3b7e7570f3082e15e8ea07ee0f43b60b2f7357a4cddc36dcc6c7e45272da0eed | Shell | 1,722 | 47 | #!/bin/bash
#
# motioncorrect_vaso.sh <run1_basename> <run2_basename> ...
#
# - runs motion correction on a list of vaso runs
# - registering them all to a common robust volume
# - uses afni and depends on run_afni_mc.sh
# - writes output as <run1>_[nulled|notnulled]_mc.nii <run2>_[nulled|notnulled]_mc.nii ...
fBaseN... |
bc429f5262520f8948d9b0ff57959539ec7ab31d49d6afb5f0373de8d0b5c28f | Shell | 1,722 | 72 | #! /bin/sh
# Copyright 2011, 2012 Martin C. Frith
# This script simplifies the output of paraclu. It omits clusters
# that are too long, or are singletons. Then, it removes clusters
# whose fold-increase in density is too small. Finally, it removes
# clusters that are contained in larger clusters.
# This script a... |
cb46a46f12f71568d5d2391f35db4a7dfa58d9b46b5e922f5d4ab7b992a502bd | Shell | 1,735 | 57 | #!/bin/bash
# helper file for RVC snakemake rule changeHeader
# 1 {input.bam}
# 2 {input.bai}
# 3 {params.ref}
# 4 {params.dbSNP}
# 5 {params.ucsc2ncbi}
# 6 {params.ncbi2ucsc}
# 7 {log}
# 8 {resources.tmpdir}
# 9 {output}
# 10 {hcArgs}
input_bam=$1
input_bai=$2
ref=$3
dbSNP=$4
ucsc2ncbi=$5
ncbi2ucsc=$6
log=$7
tmpdir... |
d50d68cea0b6cb2b139b8d4b19f343ed9e42c67b09cc6b5caaa1ccb0873e43dc | Shell | 1,736 | 49 | #!/usr/bin/env bash
set -euo pipefail # Will fail on error
# ==============
# How to run this script
# 1) Load the input data
# https://scilpy.readthedocs.io/en/latest/documentation/getting_started.html
# 2) Call this script with
# ---> bash aodf_scripts.sh path/to/your/data path/to/save/outputs
# ... |
c87a78ea140fab2c7aea14e0eb09032421192b311b2df881e0e02ba695fe085a | Shell | 1,742 | 58 | #!/bin/sh
set -e -u
DIST_DIR=${1}
# defaults
METHOD=${METHOD:-""}
TASK=${TASK:-""}
echo "checking Python-package distributions in '${DIST_DIR}'"
pip install \
-qq \
check-wheel-contents \
twine || exit 1
echo "twine check..."
twine check --strict "$(echo "${DIST_DIR}"/*)" || exit 1
if { test "${TASK}... |
1c8e9d4aa9b4c46c18fa315b07a124c7b3c96828e73d986ef8916567075dd8dc | Shell | 1,744 | 68 | # ===== SET UP =====
set -ueo pipefail
if [ $# -ne 1 ]; then
echo -e "Usage: $0 <input_data_and_params>"
exit 1
fi
echo -e "#=====================\n#"
echo -e "# $(basename "$0") \n#"
echo -e "#=====================\n#"
# Read input config
neda=$(dirname $(dirname "$0"))
source $neda/scripts/process_input.sh... |
dd07397788632bf9d11f1aea5030dddaed5a7a1b1345e30e8d19109c264005f0 | Shell | 1,747 | 68 | #!/bin/bash
set -euo pipefail
bids_dir="/mnt/f/BIDS/WCH_SVD_3T_BIDS"
jobs_file="/mnt/f/BIDS/WCH_SVD_3T_BIDS/code/freesurfer/jobs_longitudinal.csv"
# The per-subject longitudinal script (base creation).
# It must accept: <bids_dir> <subject_id_without_sub_prefix>
long_script="/mnt/f/BIDS/WCH_SVD_3T_BIDS/code/freesurfe... |
e216a70944e670d58278bfad6454e02c0c849f089eca9a2d8d5e20ba5d97c171 | Shell | 1,751 | 52 | #!/bin/bash -l
#SBATCH -J batch_export_optimized_EIANN_fmnist
#SBATCH -o /scratch1/06441/aaronmil/logs/EIANN/batch_export_optimized_EIANN_fmnist.%j.o
#SBATCH -e /scratch1/06441/aaronmil/logs/EIANN/batch_export_optimized_EIANN_fmnist.%j.e
#SBATCH -p normal
#SBATCH -N 1
#SBATCH -n 36
#SBATCH -t 2:00:00
#SBATCH --mail-use... |
28ad82edc446ae9437e4ba573147018621a6ca804f043020b4de4b10c9af199a | Shell | 1,752 | 6 | CUDA_VISIBLE_DEVICES=7,6 python seal_link_pred_hyper.py --use_feature --log_steps 1 --num_layers 2 --hidden_channels 32 --batch_size 32 --lr 0.0001 --epochs 100 --eval_steps 10 --runs 1 --log_dir log_seal/run04 --n_par_combs 6 --curr_param_idx 0 --num_hops 1 --node_label drnl --model DGCNN &
CUDA_VISIBLE_DEVICES=6,7 p... |
957d33679cfc98a49c3a00b4e8861062fa2be1ae9ed32de50f09622eef787652 | Shell | 1,752 | 79 | #!/bin/bash
#-------------------------------------------
# Parameters
# Required parameters:
# Transcript annotation (BED file)
BED=input/sample.bed
# output FASTA prefix
FASTAFILE=output/paired
# reference chromosome
REFERENCE=input/reference.fa
# Optional parameters
# Read length
READLEN=75
# Number of reads gen... |
a7a391a17638f90c728f36e5194e389d737ec71001a470203771a129cd3b0312 | Shell | 1,755 | 68 | #! /bin/bash
ORIG_DIR=$1
SMOOTH_DIR=${ORIG_DIR}_smooth
mkdir ${SMOOTH_DIR}
AXPY_FILE=`find ${ORIG_DIR} -name "*.dat" | grep axpy`
for FILE in ${AXPY_FILE}
do
echo $FILE
BASE=${FILE##*/}
./smooth ${ORIG_DIR}/${BASE} 4 ${SMOOTH_DIR}/${BASE}_tmp
./regularize ${SMOOTH_DIR}/${BASE}_tmp 2500 15000... |
02e01bb074e011b4be01dc4645033d74ea32a8020541f6f99149d693880c72e1 | Shell | 1,760 | 31 | #!/bin/bash
prefix=/People/alexbui/workspace/proteins/ab_affinity
data_prefix=/Arontier_1/Projects/AbAg_decoy/dataset/generated_graphs
output_prefix=/Arontier_1/Privates/alexbui/projects/ab_affinity
TIMESTAMPS=(1752158575)
CHECKPOINTS=(10)
IDX=0
DATASETS="ab_chai1_fullgraph,nb_chai1_fullgraph,tcr_pmhc_chai1_fullgrap... |
6342f334205c2e06f71e4ad156084a1512172b068e18336dcdcb63d2c4e2b041 | Shell | 1,761 | 42 | #!/bin/bash
datasets=("PNC" "HCPD" "HBN")
# set variables
r_script="/cbica/projects/luo_wm_dev/two_axes/code/significance_testing/spin_tests/main_figures_spintests.R"
r_script_avg="/cbica/projects/luo_wm_dev/two_axes/code/significance_testing/spin_tests/main_figures_spintests_avgdatasets.R"
for dataset in "${dataset... |
e812387e95674d025c74e49daa67662ef3bc60d619cef57f6f32c44c14bb8a3d | Shell | 1,761 | 42 | #!/bin/bash
datasets=("PNC" "HCPD" "HBN")
# set variables
r_script="/cbica/projects/luo_wm_dev/two_axes/code/significance_testing/spin_tests/supp_figures_spintests.R"
r_script_avg="/cbica/projects/luo_wm_dev/two_axes/code/significance_testing/spin_tests/supp_figures_spintests_avgdatasets.R"
for dataset in "${dataset... |
f3d7ba0f9a1e3563d5b3769464558cfa4219f58312c0887cd65e22a37e8645db | Shell | 1,761 | 43 | #!/bin/bash
#SBATCH -p gidbkb
#SBATCH --nodes=1
#SBATCH --gpus-per-node=1
#SBATCH --ntasks-per-node=1
#SBATCH --cpus-per-gpu=8
#SBATCH --mem=100G
#SBATCH -o /pollard/data/projects/sdrusinsky/enformer_fine_tuning/logs/eval/slurm_stdout/%j.out
#SBATCH -e /pollard/data/projects/sdrusinsky/enformer_fine_tuning/logs/eval/sl... |
0950b0b2132fe599a9d226b57cef9343495f83f336477ca2d743170fa8829b3e | Shell | 1,767 | 69 | #!/bin/bash
# runs command on multiple subjects (in parallel if possible)
usage () {
echo "usage: $(basename $0) -c command -d studyDataDir [-l subjList.txt] [-n nJobs]"
echo " -c command: command to run on each subject"
echo " -d studyDataDir: directory containing subject data"
echo " -l subjList.t... |
1b9ecc3d8ee0039e99952c05f5f809986c85e8630df945a8f76804653bdfa2c4 | Shell | 1,768 | 55 | #!/bin/bash
# Jaclyn Taroni for ALSF CCDL 2020
# This script should always run as if it were being called from
# the directory it lives in.
cd "$(dirname "${BASH_SOURCE[0]}")"
# If this is CI, run the example included with GISTIC
# The sample size for the subset files are too small otherwise
IS_CI=${OPENPBTA_CI:-0}
... |
52e26925ea37a90a531d520d78ea663f43589a0f0f844144dc0f09de32ab9cfc | Shell | 1,768 | 61 | #!/bin/bash
# Ultralytics 🚀 AGPL-3.0 License - https://ultralytics.com/license
# Download COCO 2017 dataset https://cocodataset.org
# Example usage: bash data/scripts/get_coco.sh
# parent
# ├── ultralytics
# └── datasets
# └── coco ← downloads here
# Arguments (optional) Usage: bash data/scripts/get_coco.sh --t... |
b18b5e185da3e8628676be58d83a5cd1248f930d71bd58844bf2141208749d82 | Shell | 1,772 | 65 | #!/bin/bash
# Execute all notebooks in the docs directory, then build the book
DOCS_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
cd "$DOCS_DIR"
# List of notebooks to skip during execution
SKIP_NOTEBOOKS=(
"gonzo-dicom-extraction.ipynb"
)
echo "======================================"
echo "Executing Jupyt... |
2075fff5f9e63c68e3719ca5ec3b975db65073465551c1af7f0e26e3910feb91 | Shell | 1,773 | 45 |
set -e
set -o pipefail
# Use the bucket that contains the CI data
URL="https://s3.amazonaws.com/d3b-openaccess-us-east-1-prd-pbta/open-targets"
RELEASE="testing"
# Remove symlinks in data
find data -type l -delete
# The md5sum file provides our single point of truth for which files are in a release.
curl --create-d... |
945f91643d50234d8cc7c3c8e0cb42666d151fb20174ff9ddbef674fafe87853 | Shell | 1,773 | 30 | # This sample has an edit at the very end of the read. It's a good test to ensure that we don't have off by one errors
# in computing the coverage. It was aligned to the craig venter genome, so the reference is slightly difference from
# hg38 -- if aligning with hg38, this read doesn't have mutations at these positions... |
dbc1b4e3455eaa7c50cdd7b5df7495a264ee9444c2a95a6511c9237e0eae58bb | Shell | 1,781 | 63 | #!/bin/bash
# Define base and target directories
BASE_DIR="/home/ben/BrainGut/BrainGut_fsLongAll"
TARGET_DIR="/home/arvid/fs7_all"
# Create target directory if it doesn't exist
mkdir -p "$TARGET_DIR"
# Initialize counters
total_files=0
copied_files=0
# Print start message
echo "Starting to copy longitudinal aseg.st... |
c8cf7f4ef3c9008045c7073f9c39298666644e59bc21ac3254559a6016067d76 | Shell | 1,788 | 42 | #!/bin/bash
# Deploy pumi in case of incrementing the major or minor version number.
# First, increment version with
# git tag <MAJOR>.<MINOR>.<PATCH>
# git push --tag
#
# Next the new full docker image must be created.
# This deploy step can't be run in CI due to insufficient cloud resources and must be run locally.
#... |
eed0a1e7367d018239ac6efa524292368e5f66667e88ae459b663f2dce6ae6ed | Shell | 1,789 | 87 | #!/bin/bash
# Job name:
#SBATCH --job-name=Matrix5
#
# Project:
#SBATCH --account=ec-huah
#SBATCH --nodes=10 --mem=512G --cpus-per-task=2048
#SBATCH --qos=devel
#SBATCH --partition=accel
#SBATCH --gpus=1
# Wall time limit:
#SBATCH --time=10-00:00:01
## Set up job environment:
module --quiet purge # Reset the modu... |
81b3c6645c856eed25c33238b817a9afe24e93023c5d2b1be5f55c2126d6dac3 | Shell | 1,796 | 54 | #!/bin/bash
WHAT=$1
DIR=$2
cat ../gnuplot_common_settings.hh > ${WHAT}.gnuplot
echo "set title " `grep ${WHAT} ../action_settings.txt | head -n 1 | cut -d ";" -f 2` >> $WHAT.gnuplot
echo "set xlabel " `grep ${WHAT} ../action_settings.txt | head -n 1 | cut -d ";" -f 3` " offset 0,0" >> $WHAT.gnuplot
echo "set ... |
1349d08fbf4352944788adea918206bba9d3e70bcd9e979885e047490ff81c73 | Shell | 1,798 | 49 | #!/bin/bash
#
# register_fs-to-vasoT1.sh <vado_T1_file> <fs_dir> [<itksnap_binary>]
#
# - converts FS T1 to nifti
# - if initial_matrix.txt does not exist: starts ITK-SNAP in order to perform semi-automatic rigid-body registration in ITK-SNAP and save transformation matrix as initial_matrix.txt
# - runs non-linear regi... |
2cc71a073aea88a5cd174f2fa874a11a37b7a9a939327fc6850d05684ede8c33 | Shell | 1,799 | 15 | i=3000
j=1000
factor="ctcf";
cat ../gm12878_dnase.non_black.bed | cut -f 1-3 | sort -k1,1 -k2,2n -k3,3n | mergeBed -d ${i} > gm12878_dnase.merged_${i}.bed
python ~/repos/chinn/generate_pairs_from_peaks.py gm12878_dnase.merged_${i}.bed gm12878_dnase.merged_${i}.bedpe
pairToPair -a gm12878_dnase.merged_${i}.bedpe -b .... |
7733e676bfabb09efde297d483feb18885c3d55213077138cfccec9fb9987869 | Shell | 1,801 | 51 | #!/bin/bash
#SBATCH --job-name=fix_torch_cuda
#SBATCH -p gpuq
#SBATCH --gres=gpu:a100:1
#SBATCH --mem=32G
#SBATCH -c 4
#SBATCH -t 02:00:00
#SBATCH --output=/home/chrysochod/DRP_REPLICATION_FOR_GIT_PUBLISHING/logs/fix_torch_cuda_%j.out
#SBATCH --error=/home/chrysochod/DRP_REPLICATION_FOR_GIT_PUBLISHING/logs/fix_torch_cu... |
ea7451e146f24b9535285c77ae9181feb50ad4eab5ec976e08203a45f3113b1d | Shell | 1,802 | 89 | #! /bin/bash
set -e
spatial_agg() {
local m=$1
shift 1
sleep 10
python -m rscvp.statistic.$m \
-D 210315,210401,210402,210409,210402,210407,210409,210416,210604,210610,210514,210519,211202,211209,211203,211208,211202,211208,221018,221019 \
-A YW006,YW006,YW006,YW006,YW008,YW008,YW008,YW008,YW010,YW010,Y... |
30f2ea4b93826bb3f19ec2e40c759c09f775e14c91e86aa3d87511c0ea9fd45f | Shell | 1,805 | 52 | #!/usr/bin/env bash
root_dir=${PWD}
raw_dir=${root_dir}/inputs/raw
derivatives_dir=${root_dir}/outputs/derivatives
preproc_dir=${derivatives_dir}/bidspm-preproc
stats_dir=${derivatives_dir}/bidspm-stats
# get url of the gin repos from config
source dataladConfig.sh
# install raw dataset
datalad install -d . -s "${UR... |
5d6ae35ab44ca9efe537dc5a19f08d2aefe03d7b9c3f94683640948a0223a312 | Shell | 1,811 | 64 | #!/bin/bash
# MODIFY FOLLOWING DIRECTORIES
# FSL_PATH IS THE MAIN FSL PATH AND SHOULD CONTAIN BIN/, CONFIG/, LIB/... SUBDIRECTORIES)
# PYTHON_EXEC IS THE PATH FOR THE PYTHON EXECUTABLE
# Example: set for MRN Arvind
PYTHON_EXEC=python3
FSL_PATH=${FSL_DIR}
BINFSL=${FSL_PATH}/bin
######################################... |
fcb21e14d32703eceaa860af96de5c007cdc2cd6b5c5395e21414fc78e01541d | Shell | 1,816 | 50 | #!/usr/bin/env bash
set -exo
GENCODE_VER=$1
CTAT_RESOURCE_VER=$2
CTAT_FUSION_VER=$3
HLA_VER=$4
DFAM_VER=$5
PFAM_VER=$6
usage() {
echo "Usage: \$(basename "$0") <GENCODE_VER> <CTAT_RESOURCE_VER> <CTAT_FUSION_VER> <HLA_VER> <DFAM_VER> <PFAM_VER>" >&2
echo "Example: \$(basename "$0") 39 GRCh38_gencode_v44_CTAT_lib_... |
85d4103140c4576130ffd750f4a3698907bce11b175956a2477481a3177150df | Shell | 1,818 | 62 | outdir=$1
dataset_name=$2
hic_dir=$3
shift 3
dirs=$@
printf "${dirs[@]}"
all_chrs=()
hic_affix="hic."
function extract_chrs (){
dir_arg=$1
#echo "looking for: " $dir_arg
long_pattern=$dir_arg"/*"$long_suffix
short_pattern=$dir_arg"/*"$short_suffix
hic_pattern=$dir_arg"/*"$hic_affix"*"
... |
cc7713041c135b24642dbdf013f475b3420ea8591a08f4f0ec9c1b1504e0a841 | Shell | 1,818 | 41 | #!/bin/bash
pop="$1"
task="$2"
method="$3"
eval="$4"
START=$(pwd)
OUT="$(mktemp -d /tmp/stich.XXXXX)"
cp "../bids_dataset/derivatives/rsa/sub-average/figures/pop-${pop}_task-${task}_method-${method}_eval-${eval}_"*.png "$OUT"
cd "$OUT" || exit 1
for f in *.png; do convert "$f" -transparent white tmp.png; mv tmp.pn... |
53548186a154b2a8091297bb1c8bf99c56e575c7a4e8d473cbdb496c4e5d43e2 | Shell | 1,821 | 72 | #!/bin/bash
# Function to check if a file exists
file_exists() {
if [ -f "$1" ]; then
return 0
else
return 1
fi
}
# Check if the correct number of arguments is provided
if [ "$#" -ne 7 ]; then
echo "Usage: $0 <niftyreg_executable> <fixed_image> <moving_image> <transformed_image> <trans... |
7719c42f8ce75c9be9470213a2bc1ce2c46df28972c13acd9e86609a4ec84e9f | Shell | 1,825 | 17 | python3 generate_ogbl_dataset.py --dataset BALBc_no2 --splitting_strategy spatial --number_of_workers 32
python3 generate_ogbl_dataset.py --dataset BALBc_no2 --splitting_strategy spatial --no_edge_attr --number_of_workers 32
python3 generate_ogbl_dataset.py --dataset BALBc_no3 --splitting_strategy spatial --number_of_w... |
b8e24e766331792ef50779b608cea2ff8268f3e01617e227d92e632dd5f64a60 | Shell | 1,825 | 85 | #!/usr/bin/env bash
SCRIPTPATH="$( cd "$(dirname "$0")" ; pwd -P )"
if [[ $# -eq 1 ]]; then
TESTDIR="$(dirname "$1")"
else
TESTDIR="$SCRIPTPATH/.."
fi
MD5SUM="$(which md5sum)"
# if [[ $# -eq 1 ]]; then
# pushd $1 > /dev/null
# else
# pushd . > /dev/null
# fi
file=$(find . -maxdepth 1 -name '*.json')
# chec... |
15811fcb6dfae7ff5bdcc9b5d21dc399c4e5985cfefd5cfe12a05a10406ea93c | Shell | 1,863 | 37 | #!/bin/bash
iskids="$1"
task="$2"
contrast="$3"
thresh="$4"
START=$(pwd)
OUT="$(mktemp -d /tmp/stich.XXXXX)"
cp "./figs_uncorr/${iskids}_plot-surfInf_second-level_thresh-${thresh}_task-${task}_contrast-${contrast}"*.png "$OUT"
cd "$OUT" || exit 1
for f in *.png; do convert "$f" -transparent white tmp.png; mv tmp.p... |
0adc825c9731e4247f2a5a84e7714c59e9296d0b1f72edcf91ec10049d702277 | Shell | 1,869 | 73 | ############################################################
#Script to create pseudobulk peaks: #
# input: a file with column1 cellid and column2 clusterid #
#output: a peak file for every cluster #
# #
#Author: Tommas... |
b864b09768ba8108a8fba32a3c1115d22667190c439e556d32f3c3c0bd585465 | Shell | 1,871 | 57 | #!/bin/bash
#SBATCH --nodes=1
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=1
#SBATCH --time=00:30:00
#SBATCH --output=/dev/null # suppress default output file
#SBATCH --error=/dev/null # suppress default error file
######################
# setup f... |
f812e2b420c955326b7f9918a4279cc91b6205f048c674454801a596498181b6 | Shell | 1,885 | 50 | #!/bin/bash -l
#SBATCH --job-name=density_to_nrrd
#SBATCH --account=proj84
#SBATCH --partition=prod
#SBATCH --constraint=cpu
#SBATCH --mem=0
#SBATCH --time=9:00:00
#SBATCH --output=outputs/%A_%a.log
#SBATCH --error=error/stderr-%A_%a.log
#SBATCH --array=0-39%40
echo "Starting process: $(date)"
echo "The NRRD save fo... |
76054d5537ec2ba677b7bf5c7ded584a04e7cf3805b8fe75c7589b35f7d0ab62 | Shell | 1,892 | 56 | #!/bin/bash
#########################################################################
# Stephanie J. Spielman for ALSF CCDL 2020
#
# Run the GSEA pipeline:
## 1. `01-conduct-gsea-analysis.R` to calculate scores
## 2. `02-exploratory-gsea.Rmd` to explore the scores, lightly for now
#
# Usage: bash run-gsea.sh
#
# Takes ... |
7d68d4347976e1c501005d64dd031b4964f43fab8b32739441a79be401fe03a9 | Shell | 1,895 | 103 | #!/bin/sh
#
# Downloads sequence for the mm9 version of M. musculus (mouse) from
# UCSC.
#
# Note that UCSC's mm9 build has two categories of compressed fasta
# files:
#
# 1. The base files, named chr??.fa.gz
# 2. The unplaced-sequence files, named chr??_random.fa.gz
#
# By default, this script indexes all these files... |
3a2468c584d67e2c88b49a2ec5aedcf905a175193451bb481215ee34627401e2 | Shell | 1,899 | 62 | #!/bin/bash
# declare -a freq_pool
# path_init_thres="/Users/bo/Documents/data_liujia_lab/task_greeble_exp/pilot_beh_mri_results/MRI_results_formal/stat_fft_ws4_max/freq_pool_12.txt"
# counter=1
# while IFS= read -r line; do
# freq_pool[$counter]="$line"
# counter=$((counter+1))
# done < $path_init_thres
for it... |
608e0578e69338d53bb98896b7c7a723600c95a75843a4df166bf755166f271c | Shell | 1,901 | 41 | #!/bin/bash
pop="$1"
task="$2"
method="$3"
eval="$4"
START=$(pwd)
OUT="$(mktemp -d /tmp/stich.XXXXX)"
cp "../bids_dataset/derivatives/rsa/sub-average/figures/pop-${pop}_task-${task}_method-${method}_eval-${eval}_"*.png "$OUT"
cd "$OUT" || exit 1
for f in *.png; do convert "$f" -transparent white tmp.png; mv tmp.pn... |
1db4005aae3e1edd10776437ea0ce5de4379a4b0354b2cb93c5fb5ca7ce89b5a | Shell | 1,903 | 52 | #!/bin/bash
# ============================================================================
# Developing brain Region Annotation With Expectation-Maximization (Draw-EM)
#
# Copyright 2013-2020 Imperial College London
# Copyright 2013-2020 Antonios Makropoulos
#
# Licensed under the Apache License, Version 2.0 (the "Lice... |
f4904d70fb8b73b9aec644e49ccd418b1808cb0c824c01799b4d9473cb30895b | Shell | 1,905 | 64 | #!/bin/bash
set -eux
scriptdir=$(dirname "$0")
function compile_function()
{
local funcName="$1"
shift 1
local outdir="$scriptdir"/Compiled_"$funcName"
mkdir -p "$outdir"
"$MATLAB_HOME"/bin/mcc -m -v "$funcName".m "$@" -d "$outdir"
}
#addpath() adds to the front, while -I adds to the back, so rev... |
40e3d08cef25f3ec5c4eab935ccdd2deb455dcd16d644c055e8a7986a465907e | Shell | 1,909 | 74 | #!/usr/bin/env bash
# Runs all C++ examples
set -Eeuo pipefail
if [[ "$#" -gt 1 ]]; then
echo "usage: run_cpp_examples.sh <prefix, e.g., mpirun -n 4 -oversubscribe>"
exit 1
fi
PREFIX="${1:-} `pwd`/build/bin"
cxx=/usr/local/opt/llvm/bin/clang++
cc=/usr/local/opt/llvm/bin/clang
for tag in v0.4 v0.5.2 v0.6 v0.7 ... |
d059a16b65d645163ed32ad4b3fcc1a9c805eaa8fb7b329bb76a2d4f910e89ca | Shell | 1,913 | 50 | #!/usr/bin/env bash
set -euo pipefail # Will fail on error
# ==============
# How to run this script
# 1) Load the input data
# https://scilpy.readthedocs.io/en/latest/documentation/getting_started.html
# 2) Call this script with
# ---> bash memsmt_fodf.sh path/to/your/data path/to/save/outputs
# =... |
adcae2b934d5c4770d7f0ca1cb1d39cc1b355eb6df28a22622e8d9097b1dccf2 | Shell | 1,917 | 48 | #!/bin/bash
# Dave Hill and Eric Wafula OPenPedCan 2023
# Run OpenPedCan modules to generate MTP tables
set -e
set -o pipefail
# Set MTP Open Targets FTP download links for diseases and targets
version="22.11"
diseases_url="ftp://ftp.ebi.ac.uk/pub/databases/opentargets/platform/$version/output/etl/json/diseases"
targ... |
a7681de6d1dd96ab836431a93b64ef16fc9e9ace556452b1144786aa20f8a7d4 | Shell | 1,918 | 68 | #! /bin/bash
WHAT=$1
DIR=$2
echo $WHAT script generation
cat $WHAT.hh > $WHAT.gnuplot
DATA_FILE=`find $DIR -name "*.dat" | grep $WHAT`
echo plot \\ >> $WHAT.gnuplot
for FILE in $DATA_FILE
do
LAST=$FILE
done
echo LAST=$LAST
for FILE in $DATA_FILE
do
if [ $FILE != $LAST ]
then
BAS... |
396a87400e146c220a38fa832cb3344a6369627902162946554be7ef058e83d1 | Shell | 1,942 | 70 | #!/bin/bash
# Module author: Komal S. Rathi
# Shell script author: Jaclyn Taroni for ALSF CCDL
# 2019
# This script runs the steps for generating collapsed RNA-seq matrices
# and analyzing the correlation levels of multi-mapped Ensembl genes
set -e
set -o pipefail
# This script should always run as if it were being ... |
83e816a32d85cc0b567266c306fcc874f1200ed380ff9a16e3c905771ed23667 | Shell | 1,943 | 79 | #!/bin/bash
# head(key0) list(key1) tail(key2)
csplit -sf key -n 1 key.html '/<dl/'+1 '/<\/dl/'
# remove headings
sed -i '/^<dt/d' key1
# remove line breaks
sed -i -r ':a;N;$!ba;s%(<br */>|</?ul>|</li>)\n%\1%g' key1
# remove dd and p
sed -i 's/^<dd>//' key1
sed -i 's%\s*</dd>$%%' key1
sed -i '/^$/d' key1
sed -i -r... |
b15989bd144c36de800a138603fb9b5a7981edaa7026b3739e1184640700e466 | Shell | 1,944 | 56 | #!/bin/bash
export DATE=$(date +%Y%m%d_%H%M%S)
export LABEL="$2"
export JOB_NAME=optimize_EIANN_"$LABEL"_"$DATE"
export CONFIG_FILE_PATH="$1"
export OMP_NUM_THREADS=1
export MKL_NUM_THREADS=1
export NUMEXPR_NUM_THREADS=1
export OPENBLAS_NUM_THREADS=1
mkdir -p /scratch/${USER}/data/EIANN
sbatch <<EOT
#!/bin/bash
... |
8d28c0de21b26d24a73381a186b8c5a6d16fd4bfcdfd5cbe8a85f27b1202c3cc | Shell | 1,947 | 42 | # run saliency analysis for top n seqs on an ensemble of lentiMPRA models
DISTILLED=true # toggle flag
METHOD=saliency # set saliency or shap
N_MODS=10
TOP_N=1000
CELLTYPE=HepG2
HEAD=mean # mean/std/logvar; if STD is false then mean is default option
MODELS_DIR=../results/lentiMPRA/${CELLTYPE}
DATA=../data/lentiMPRA/$... |
f58508ea4809605071f683ca847224cea8fab06511d5de0b6cf702852cf34acf | Shell | 1,951 | 55 | # analyze attribution scores (shap/saliency) for a set of lentiMPRA models
# can set DOWNSAMPLE and DISTILLED boolean variables
### boolean vars
# DOWNSAMPLED=false # toggle true/false to analyze models trained on downsampled data
DISTILLED=true # toggle true/false to analyze distilled models
# EPISTEMIC=true # i... |
bf1040ecb2c8aecfa8fab3e615cff3f65846d4f81893d037c83d93bd3e7745a9 | Shell | 1,957 | 76 | #!/bin/bash
#SBATCH -N 1
#SBATCH --cpus-per-task 40
#SBATCH -o /home/pchopr4/logs/cellbender.o-%j
#SBATCH -e /home/pchopr4/logs/cellbender.e-%j
#SBATCH --time=72:00:00
#SBATCH --array=1-3
## ref: https://davetang.org/muse/2018/08/09/getting-started-with-cell-ranger/
## derived from xmo.sh
## sbatch array.xxx.sh
## ... |
95d3b70e1a67babfb4ce76a64b4d11c6091861af186ecfe3c86a92f8a5bf7cf6 | Shell | 1,958 | 68 | #!/usr/bin/env bash
set -euo pipefail
############################################################
# Usage:
# bash fix_fsaverage_symlink.sh <subjects_root> <correct_fsaverage_path>
#
# Example:
# bash fix_fsaverage_symlink.sh \
# /mnt/f/BIDS/SVD_BIDS/derivatives/freesurfer \
# /usr/local/freesurfer/7-d... |
0ed3a802429bd9d52895748f5025d3c5623c2adff8e62c65d2b2eb0becf82043 | Shell | 1,961 | 59 | #!/bin/bash
# OpenPedCan 2021
# Eric Wafula
set -e
set -o pipefail
# This script should always run as if it were being called from
# the directory it lives in.
script_directory="$(perl -e 'use File::Basename;
use Cwd "abs_path";
print dirname(abs_path(@ARGV[0]));' -- "$0")"
cd "$script_directory" || exit
# Set up p... |
d27e95e5351eb40f55d541caa2d87d3a0b705b8f845514c934425543f4b5b586 | Shell | 1,967 | 70 | #!/bin/bash
# PediatricOpenTargets 2021
# Eric
set -e
set -o pipefail
printf "Start filtering mtp tables...\n\n"
# Set mtp tables commit data location on s3 bucket to download files
openpedcan_url="https://s3.amazonaws.com/d3b-openaccess-us-east-1-prd-pbta/open-targets/v12/mtp-tables/commit"
# This script should al... |
0d06003b9e879d312f89b15df9f6acdc8d61bc8b714271d55eeee5bbd0177545 | Shell | 1,972 | 42 | #!/bin/bash
# Prepare numerosity population receptive field model results for participant count map.
# Participant count map is a surface visualization on fsaverage that shows
# for every node how many subjects have a numerosity map there.
# For that, we first cluster each individual subject's results map separately.
... |
3eb11f533bfc2194bff283b580b958e977c4fa01aa784486471e5ebf1b480ee0 | Shell | 1,972 | 54 | #!/bin/bash
set -e
set -o pipefail
# This script should always run as if it were being called from
# the directory it lives in.
script_directory="$(perl -e 'use File::Basename;
use Cwd "abs_path";
print dirname(abs_path(@ARGV[0]));' -- "$0")"
cd "$script_directory" || exit
SCRATCHDIR=../../scratch/copy_consensu... |
e18e60e9e76e332c9f99fb46281256004815a36b51143a3ff0c7d18892c69ee2 | Shell | 1,978 | 96 | #!/bin/sh
#
# Downloads sequence for the rn4 version of R. norvegicus (rat) from
# UCSC.
#
# Note that UCSC's rn4 build has two categories of compressed fasta
# files:
#
# 1. The base files, named chr??.fa.gz
# 2. The unplaced-sequence files, named chr??_random.fa.gz
#
# By default, this script indexes all these files... |
1d1887b85bc8d7a7ef4f27386e76cc3744838d2ea8f8f31d70af95f035f0ad0a | Shell | 1,981 | 76 | #!/bin/bash
set -euo pipefail
if [ "$#" -ne 5 ]; then
echo "Usage: $0 <input_dwi> <input_bval> <output_dir> <output_b0_filename> <output_b0_mask_filename>"
exit 1
fi
input_dwi=$1
input_bval=$2
output_dir=$3
output_b0_filename=$4
output_b0_mask_filename=$5
# Create output directory if it does not exist
mkdir -p ... |
330ecfbd028f86cdee97e01bc4fcd16e918b56f0545366ac4516a340666e8c13 | Shell | 1,993 | 50 | # trains a single distilled DeepSTARR model that predicts uncertainty (logvar) and ensemble mean
# OUTDIR=../results/DeepSTARR_lr-decay/distilled_with_logvar
OUTDIR=../results/DeepSTARR_ensemble_NEW/distilled_with_logvar # define output dir
# DATA_DIR=../data/DeepSTARR
DATA_DIR=../data/DeepSTARR_ensemble_NEW # path t... |
6ed5a501f9908a471cc8ee87a63c81932d27bb99e5926f671de46baf521c2a5a | Shell | 1,996 | 57 | # simultaneously evaluate prediction on test set and generate training data for distilled models
# for DeepSTARR models trained w/ EvoAug
DOWNSAMPLED=true # toggle true/false
# MODEL_DIR=../results/DeepSTARR_evoaug
MODEL_DIR=../results/DeepSTARR_evoaug/sanity_check
N_MODS=10
DATA=../data/DeepSTARR/Sequences_activity_a... |
626992ccf4e95414228d54cf7c3d93fc05de389c280b2b03cce86a6e7a7eef1a | Shell | 1,997 | 46 | #!/usr/bin/env bash
AP_DIR=$1
AP_PREFIX=$2
AP_LINE=$3
TOTAL_NUMBER_CELLS=$4
PRINT_RATE=$5
if [[ "$#" -ne 5 ]]; then
echo "---------------------------------------------------------------------------------"
echo "Usage:> $0 <AP_DIR> <AP_PREFIX> <AP_LINE> <TOTAL_NUMBER_CELLS> <PRINT_RATE>"
echo "-------------... |
2eb5e3b696180a4defe0fd4db2167ee5b937fe809d5abb07d7bed15e7ff016bc | Shell | 2,002 | 53 | #!/bin/bash
# ============================================================================
# Developing brain Region Annotation With Expectation-Maximization (Draw-EM)
#
# Copyright 2013-2020 Imperial College London
# Copyright 2013-2020 Andreas Schuh
# Copyright 2013-2020 Antonios Makropoulos
#
# Licensed under the Ap... |
68db981d6a348ba66b22ee78d9ebeffd95761648a12b2e1d0922e7c2bbe24a9b | Shell | 2,009 | 26 | #!/bin/zsh
#Set paths for template, input and output files
set template_dir = /your/path/to/HCP_S1200_folder
set input_dir = /your/path/to/tSNR/and/Probability/maps
set out_dir = /your/path/to/surfaces/directory
#Set workbewnch directory as current directory
cd /your/path/to/abin/workbench/bin_macosx64
# Slighlty d... |
00142a75bb175452eac75ccaf2d52bc4c8ea0198f66289b8e422d48c111c121d | Shell | 2,010 | 55 | #!/bin/bash
# This script calls the function gradient_unwarp.py for gradient non-linearity
# undistortion. The method is taken from the repository https://github.com/
# Washington-University/gradunwarp.git. All arguments which can be passed to
# gradient_unwarp can be seen by calling gradient_unwarp with --help as
... |
5bb591cf25dbf3ead457e018e526dc1104265d728b0247986271227409f68dc1 | Shell | 2,024 | 37 | #!/bin/bash
# Author: Lucas Berg
# This script is used to get the traces for cable simulation related to the:
# "Performance Improvement of the ToRORd model" and
# "Performance Improvement of the Trovato model"
STATE_VECTOR_EULER_SACHETTO_FILEPATH="/home/berg/Github/MonoAlg3D_C/outputs/trovato_cable_EulerAdapt_Sachet... |
b24030b727b9b32789c3354d665bd91355168d736702c3f72a6427727480bcdb | Shell | 2,037 | 66 | # train distilled lentiMPRA models w/ mean+aleatoric+epistemic using dynamic augmentations
AUG=random # evoaug/mutagenesis/random
APPEND=true
CELLTYPE='K562'
ENSEMBLE_DIR=../results/lentiMPRA_aleatoric/${CELLTYPE}
DATA_DIR=../data/lentiMPRA
DATA=${DATA_DIR}/${CELLTYPE}_distillation_data_with_epistemic.h5
CONFIG=../co... |
83fa95cbc3986025373ccc7f76d6939b74c1eab7c0ccedae7422569f2d87aecc | Shell | 2,040 | 22 | #!/bin/bash
sudo docker run --rm -it -v /media/sebastian/Data/S1_anfunco/raw_data:/base nipy/heudiconv:latest -d /base/S1ANFUNCO_S{subject}/ses-{session}/*.IMA -o /base/S1ANFUNCO_Nifti/ -f convertall -s 01 02 03 04 05 06 07 08 10 -ss 001 -c none --overwrite
sudo docker run --rm -it -v /media/sebastian/Data/S1_anfun... |
a4a2e25a40c956774fb43b2850a4e717f3b9d1d956a2262e12f50f1ce251e43e | Shell | 2,043 | 38 | #!/bin/bash
#SBATCH --mem=16G
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=2
#SBATCH --time=3:0:0
#SBATCH --mail-type=ALL
#SBATCH --gres=gpu:v100l:1
# Define project directory
#project=/path/to/your/project
cd $project/moralization_temporal
module purge
module load python/3.10 scipy-stack
source ~/venv2/bin/activa... |
3157029ffcf60ff509e5bddf2a2033db7d800afacc1e9051251a6f223ff53b44 | Shell | 2,046 | 63 | #!/usr/bin/env bash
set -euo pipefail # Will fail on error
# ==============
# How to run this script
# 1) Load the input data
# https://scilpy.readthedocs.io/en/latest/documentation/getting_started.html
# 2) Call this script with
# ---> bash tractogram_math.sh path/to/your/data path/to/save/outputs... |
de29001896e07a15feb171d62c042d87d523c9af9fd1558db0152e8a55e1d10d | Shell | 2,047 | 51 | #!/bin/bash
#
# J. Taroni for ALSF CCDL 2020
#
# Run aggregation of molecular subtyping/reclassification results and the
# incorporation of pathology feedback
set -e
set -o pipefail
# We're using this to tie the clinical file to a specific release when this
# is not run in CI
IS_CI=${OPENPBTA_TESTING:-0}
# Set the w... |
fd3c7a8cb5d1829231190eba5933201542dcf2876702421bce947794d80f08f1 | Shell | 2,047 | 47 | #!/bin/bash
#
#SBATCH --account=default
#SBATCH --exclude=gpu1,gpu2
#SBATCH --time=7-00:00:00
#SBATCH --mem=1M
#SBATCH --partition week-long # Queue names you can submit to
# Outputs ----------------------------------
#SBATCH -o /home/%u/log/%x-%A.out
#SBATCH -e /home/%u/log/%x-%A.err
# -------------------------------... |
a3c548c966a2346ca5b353fd12dc891968ac267c16d9a86230d29ff52d40096e | Shell | 2,056 | 71 | #!/bin/tcsh -xef
# Initialize the counting
set scan = 1
# Set the total number of scans to analyze
set max_scan = 19
# Set the paths for input volumes and mask
set inpath = your/path/to/input/files
set maskpath = your/path/to/brain/template/mask
set outpath = your/path/to/output/folder
# Output CSV file, to store i... |
e0c292c0c56ff05d8b183975efa8f2dfe36a5fc501ba3c73571995be012b723e | Shell | 2,061 | 66 | # train distilled ResidualBInd models w/ mean+aleatoric+epistemic using dynamic augmentations
AUG=evoaug # evoaug/mutagenesis/random
APPEND=false
CELLTYPE=K562
ENSEMBLE_DIR=../results/lentiMPRA_aleatoric/${CELLTYPE}
DATA_DIR=../data/lentiMPRA
DATA=${DATA_DIR}/${CELLTYPE}_distillation_data_with_epistemic.h5
CONFIG=../... |
b6f6d72ebd503496020f8e53e437ae00a129a3bf16fdbfdce20c2935410918a4 | Shell | 2,064 | 131 | #! /bin/bash
set -e
set -x
cd ../..
if [ $# -eq 0 ]; then
echo "$0 experimental_date animal_id ?"
exit 1
else
ED=$1
ID=$2
fi
OUTPUT="e:/data/user/yu-ting/analysis/phys"
OUTPUT_FILE="$OUTPUT/${ED}_${ID}__2P_YW/concat_etl.log"
export NO_COLOR=1
# Redirect all script output (stdout and stderr) to the log fil... |
e88cad916b7b4f88317c37c31f6207e59bf7571c03c7ad56db8dffcfd23d3079 | Shell | 2,072 | 66 | #!/bin/bash
#
# Script to run a full fletched analysis on our wellknown Kremer et. al. data
# This ensures, that we can reidentify all known cases after each update.
#
# This full test should be run at every release and should not throw an error.
#
script_dir=$(realpath $(dirname $0))
# Requires a server with 1Tb RAM!... |
47ea1576734a7417fe725b78b1bbeb35cba82c7ca1520c5d7a1dfa8ff34ba7fb | Shell | 2,078 | 65 | #!/bin/bash
set -eux
scriptdir=$(dirname "$0")
function compile_function()
{
local funcName="$1"
shift 1
local outdir="$scriptdir"/Compiled_"$funcName"
mkdir -p "$outdir"
"$MATLAB_HOME"/bin/mcc -m -R -nodisplay -v "$funcName".m "$@" -d "$outdir"
}
#addpath() adds to the front, while -I adds to th... |
bc0a674f0c914e5c6ec705b0a05470759a05ad4fc149cff2af10035e13118a98 | Shell | 2,078 | 71 | #!/bin/tcsh -xef
# Initialize the counting
set scan = 1
# Set the total number of scans to analyze
set max_scan = 40
# Set the paths for input volumes and mask
set inpath = your/path/to/input/files
set maskpath = your/path/to/brain/template/mask
set outpath = your/path/to/output/folder
# Output CSV file, to store i... |
ad7e191e4f47434ede27d19a1617ae7cf6b476f7d7fd62d955e92fd94e8fd4c3 | Shell | 2,080 | 56 | #!/bin/bash
# submit this with ./c00_wrapper_vol_to_surf.sh
datasets=("PNC" "HCPD" "HBN")
depths=(1.5)
source /cbica/projects/luo_wm_dev/miniconda3/etc/profile.d/conda.sh
conda activate luo_wm_dev
for dataset in "${datasets[@]}"; do
config_file="/cbica/projects/luo_wm_dev/two_axes/code/config/config_${datase... |
a99d04ecc3698a2461075a6d9fe55df955ee96e7aade18766f93781808649e9b | Shell | 2,081 | 82 | #!/usr/bin/env bash
[ ! -e "$FREESURFER_HOME" ] && echo "error: freesurfer has not been properly sourced" && exit 1
USE_4D=0
ARGS=()
INPUT_FILE=""
OUTPUT_FILE=""
MASK_FILE=""
REF_FILE=""
TMP_3D_INPUT=""
CLEANUP_TMP=0
# Parse arguments
while [[ "$#" -gt 0 ]]; do
case "$1" in
-4d)
USE_4D=1
... |
35d723cd5c64fff9568bd26b1a33756145c82fd4808d99d28947dbc1b064cc43 | Shell | 2,082 | 86 | #!/usr/bin/env bash
set -euo pipefail
dwi_mask="$1"
fa_image="$2"
iso_image="$3" # NODDI isotropic fraction (CSF)
output_dir="$4"
output_pseudo_t1_filename="$5"
output_gm_fraction_filename="$6"
mkdir -p "$output_dir"
echo "==== Step 1: Atropos segmentation ===="
Atropos \
-d 3 \
-a "$fa_image" \
-x "$dwi_m... |
3ae3df3f797a6329205438c1164237e3c71f6b4ec5093e9bd8e2e3b615d10c49 | Shell | 2,089 | 51 | #!/bin/bash
# Set up FSL (if not already done so in the running environment)
# Uncomment the following 2 lines (remove the leading #) and correct the FSLDIR setting for your setup
export FSLDIR=/opt/fsl
. ${FSLDIR}/etc/fslconf/fsl.sh > /dev/null 2>&1
# Let FreeSurfer know what version of FSL to use
# FreeSurfer uses ... |
ff64c57ea5e9fe3c06af736a4b94173ef0998cceed310ebfe50b74bcdd3ae315 | Shell | 2,093 | 68 | #! /bin/bash
# brief: Import various CNN models from the web
# author: Karel Lenc and Andrea Vedaldi
# Models are written to <MATCONVNET>/data/models
# You can delete <MATCONVNET>/data/tmp after conversion
# TODO apply patch to prototxt which will resize the outputs of cls layers from 205 -> 1000 (maybe sed?)
overwr... |
090d92feaa06d925cd11544c862c77feb596a9adb17dbb52b4eb3ee31f38f36a | Shell | 2,103 | 72 | #!/bin/bash
# ./runall.sh "Title"
# Examples of environment variables to be set:
# PREFIX="haswell-fma-"
# CXX_FLAGS="-mfma"
# CXX=clang++
# Options:
# -up : enforce the recomputation of existing data, and keep best results as a merging strategy
# -s : recompute selected changesets only and kee... |
bf49eb52bda45aeb5b965e099519e7f8ebaaa5889f9165da0e9b131ff367c63b | Shell | 2,106 | 66 | #!/bin/bash
# The input data should have been filtered against blacklisted regions
usage()
{
echo "$(basename "$0") [-h] INTERS DNASE TFPEAKS NAME DATADIR"
echo "-- Progam to preprocess the interactions and generate negative samples."
echo "where:"
echo "-h show this help text"
echo "INTERS ... |
01921c6e15727cf28daa6b41d731d2924f22db7561785b175ea7ec321479373b | Shell | 2,115 | 50 | # TransE-shallow
dglke_train --model_name TransE_l2 \
--hidden_dim 200 --gamma 10 --lr 0.1 --regularization_coef 1e-9 \
--valid --test -adv --mix_cpu_gpu --num_proc 4 --num_thread 4 \
--gpu 0 1 2 3 \
--async_update --force_sync_interval 10000 --no_save_emb \
--print_on_screen --encoder_model_name shallow --save_path $S... |
6a6714f5db6d83c77c93931818fd01995a6950168602e66b23def6f8ac5ea157 | Shell | 2,115 | 71 | # ===== SET UP =====
set -ueo pipefail
if [ $# -ne 1 ]; then
echo -e "Usage: $0 <input_data_and_params>"
exit 1
fi
echo -e "#=====================\n#"
echo -e "# $(basename "$0") \n#"
echo -e "#=====================\n#"
# Read input config
neda=$(dirname $(dirname "$0"))
source $neda/scripts/process_input.sh... |
8b5ee37ff65b75bc330a9051c7320250d27ab362a627c8b1775b7a6a5b6fddbd | Shell | 2,115 | 61 | #!/bin/bash
#SBATCH --job-name=babs_mergeds_tractprofiles
#SBATCH --nodes=1
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=5
#SBATCH --array=1-3
#SBATCH --time=3:00:00
#SBATCH --output=/dev/null # suppress default output file
#SBATCH --error=/dev/nul... |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.